'use strict';

const rfr = require("rfr");
const extensionMatches = rfr("lib/path/extension-matches");

module.exports = function inExtensions(filename, extensions) {
	let matches = extensions.filter((extension) => {
		return extensionMatches(filename, extension);
	});

	if (matches.length > 0) {
		return matches[0];
	} else {
		return false;
	}
}